IPSW-DOWNLOAD-IPA(1)

NAME
ipsw-download-ipa - Download App Packages from the iOS App Store

SYNOPSIS
ipsw download ipa [flags]

DESCRIPTION
Download App Packages from the iOS App Store

OPTIONS
-h, --help[=false]
    help for ipa

--insecure[=false]
    do not verify ssl certs

-o, --output=""
    Folder to download files to

--password=""
    Password for authentication

--proxy=""
    HTTP/HTTPS proxy

--search[=false]
    Search for app to download

--sms[=false]
    Prefer SMS Two-factor authentication

-s, --store-front="US"
    The country code for the App Store to download from

--username=""
    Username for authentication

-k, --vault-password=""
    Password to unlock credential vault (only for file vaults)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download specific app by bundle ID
    ❯ ipsw download ipa com.zhiliaoapp.musically
    # Search for apps and download interactively
    ❯ ipsw download ipa --search twitter
    # Download from different store front
    ❯ ipsw download ipa --store-front UK com.zhiliaoapp.musically
    # Download to specific directory
    ❯ ipsw download ipa --output ./apps com.zhiliaoapp.musically

SEE ALSO
ipsw-download(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra